package alx.p43_files;

import java.nio.file.Files;
import java.nio.file.LinkOption;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.StandardCopyOption;

public class Kopiowanie {

	public static void main(String[] args) {
		
		try {
		String skad = "pan-tadeusz.txt";
		String dokad = "kopia.txt";
		
		Path pskad = Paths.get(skad);
		Path pdokad = Paths.get(dokad);

		System.out.println("Kopiuje");
		Path copy = Files.copy(pskad, pdokad, StandardCopyOption.REPLACE_EXISTING, StandardCopyOption.COPY_ATTRIBUTES, LinkOption.NOFOLLOW_LINKS);
		System.out.println("Skopiowalem " + copy);

		// kopiuje pojedyncze pliki, nie kopiuje katalogów rekurencyjnie
		// dla katalogu - tworzy pusty katalog wynikowy
		
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

}
